org.hibernate.search.cfg

## Class ContainedInMapping

- java.lang.Object
- - org.hibernate.search.cfg.ContainedInMapping

-     public class ContainedInMapping
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainedInMapping(SearchMapping mapping, PropertyDescriptor property, EntityDescriptor entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `PropertyMapping` | `bridge(Class<? extends FieldBridge> fieldBridge)`
    `EntityMapping` | `entity(Class<?> entityType)`
    `FieldMapping` | `field()`
    `NormalizerDefMapping` | `normalizerDef(String name)`
    `NumericFieldMapping` | `numericField()` Deprecated. Invoke `field().numericField()` instead.
    `PropertyMapping` | `property(String name, ElementType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainedInMapping

          public ContainedInMapping(SearchMapping mapping,
                                    PropertyDescriptor property,
                                    EntityDescriptor entity)

  - ### Method Detail

    - #### field

          public FieldMapping field()

    - #### numericField

          @Deprecated
          public NumericFieldMapping numericField()

      Deprecated. Invoke `field().numericField()` instead.

    - #### property

          public PropertyMapping property(String name,
                                          ElementType type)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### entity

          public EntityMapping entity(Class<?> entityType)

    - #### bridge

          public PropertyMapping bridge(Class<? extends FieldBridge> fieldBridge)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved